Get world block
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidQuery Parameters
position.x*integer
Block X coordinate. East is positive.
Format
int32position.y*integer
Block Y coordinate. Vertical axis.
Format
int32position.z*integer
Block Z coordinate. South is positive.
Format
int32position.dimension?string
Namespaced dimension id. If empty, APIs use the bot's current dimension.
include_block_entity?boolean
include_shapes?boolean
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/world/block?position.x=0&position.y=0&position.z=0"{ "block": { "position": { "x": 0, "y": 0, "z": 0, "dimension": "string" }, "blockId": "string", "properties": { "property1": "string", "property2": "string" }, "blockEntity": {}, "biomeId": "string", "skyLight": 0, "blockLight": 0, "hardness": 0.1, "diggable": true, "replaceable": true, "solid": true, "interactive": true, "effectiveToolTags": [ "string" ], "fluid": { "fluidId": "string", "source": true, "height": 0.1 }, "collisionShape": { "boxes": [ { "minimum": { "x": 0.1, "y": 0.1, "z": 0.1 }, "maximum": { "x": 0.1, "y": 0.1, "z": 0.1 } } ] }, "interactionShape": { "boxes": [ { "minimum": { "x": 0.1, "y": 0.1, "z": 0.1 }, "maximum": { "x": 0.1, "y": 0.1, "z": 0.1 } } ] }, "chunkRevision": "string" }}How is this page?
